> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arqitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track Swap

> Track the status of a swap via a route from the quote endpoint.



## OpenAPI

````yaml api-reference/openapi.json post /v1/track
openapi: 3.1.0
info:
  title: dKit API
  description: Cross-chain swap aggregation API
  contact:
    name: API Support
    email: support@dkit.xyz
  version: v1
servers:
  - url: https://api.dkit.xyz
    description: Production API server
  - url: https://staging-api.dkit.xyz
    description: Staging API server
security: []
tags:
  - name: Core Endpoints
    description: Primary swap operations for quotes and tracking
  - name: Service Endpoints
    description: Specific transaction and integrations services
  - name: Data Endpoints
    description: Information endpoints for tokens, rates, and network data
externalDocs:
  description: API Documentation
  url: https://docs.dkit.xyz
paths:
  /v1/track:
    post:
      tags:
        - Core Endpoints
      summary: Track Swap
      description: Track the status of a swap via a route from the quote endpoint.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrackParams'
            examples:
              default:
                value:
                  hash: >-
                    0x67d8c9c1c9d0eb6b9c453e9394e11082e03cf85317c2e6bf675de08924624897
                  chainId: ARB
                  quoteId: c2b8e017-c695-44fe-adbb-39db625fcee4
                  routeIndex: 0
                summary: Track a completed 1inch swap on Arbitrum
              Track 1inch Arbitrum swap:
                value:
                  hash: >-
                    0x67d8c9c1c9d0eb6b9c453e9394e11082e03cf85317c2e6bf675de08924624897
                  chainId: ARB
                  quoteId: c2b8e017-c695-44fe-adbb-39db625fcee4
                  routeIndex: 0
                summary: Track a completed 1inch swap on Arbitrum
              Track ThorChain swap:
                value:
                  hash: >-
                    0xabc123def456789012345678901234567890abcdef123456789012345678901234
                  chainId: ETH
                  quoteId: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                  routeIndex: 0
                summary: Track a ThorChain cross-chain swap
              Track Solana transaction:
                value:
                  hash: >-
                    5gQWxq8n5qUPYMDDqTfJbqKnBzVvRzPR2fTLCxHrCBkNrDpBv2FLPKqt7pE9sfQc
                  chainId: SOL
                  quoteId: d4e5f6a7-b8c9-0123-4567-890abcdef123
                  routeIndex: 0
                summary: Track a Jupiter swap on Solana
      responses:
        '200':
          description: Successful tracking response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponse'
              examples:
                Completed 1inch swap:
                  value:
                    trackingStatus: completed
                    quoteInfo:
                      quoteId: c2b8e017-c695-44fe-adbb-39db625fcee4
                      routeIndex: 0
                      senderAddress: '0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9'
                      recipientAddress: '0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9'
                      provider: ONEINCH
                      trackParams:
                        hash: >-
                          0x67d8c9c1c9d0eb6b9c453e9394e11082e03cf85317c2e6bf675de08924624897
                        chain: ARB
                    route:
                      providers:
                        - ONEINCH
                      sellAsset: ARB.USDC-0XAF88D065E77C8CC2239327C5EDB3A432268E5831
                      sellAmount: '10'
                      buyAsset: ARB.ARB-0X912CE59144191C1204E64559FE8253A0E49E6548
                      expectedBuyAmount: '28.995421060263166005'
                      expectedBuyAmountMaxSlippage: '27.545650'
                      sourceAddress: '0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9'
                      destinationAddress: '0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9'
                      estimatedTime:
                        inbound: 0
                        swap: 30
                        outbound: 0
                        total: 30
                  summary: Completed 1inch swap on Arbitrum
                Swap in progress:
                  value:
                    trackingStatus: pending
                    quoteInfo:
                      quoteId: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      routeIndex: 0
                      senderAddress: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb7'
                      recipientAddress: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb7'
                      provider: THORCHAIN
                      trackParams:
                        hash: >-
                          0xabc123def456789012345678901234567890abcdef123456789012345678901234
                        chain: ETH
                    route:
                      providers:
                        - THORCHAIN
                      sellAsset: ETH.USDC-0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                      sellAmount: '150'
                      buyAsset: BTC.BTC
                      expectedBuyAmount: '0.00435678'
                      expectedBuyAmountMaxSlippage: '0.00413894'
                      estimatedTime:
                        inbound: 600
                        swap: 10
                        outbound: 600
                        total: 1210
                  summary: ThorChain swap currently processing
                Failed swap:
                  value:
                    trackingStatus: failed
                    quoteInfo:
                      quoteId: d4e5f6a7-b8c9-0123-4567-890abcdef123
                      routeIndex: 0
                      senderAddress: FWcTwCU9ohDn2eXiagCCdtzdLuDrX6nhy3PCVFfdGHd4
                      recipientAddress: '0x494447b317d2ee41d4c02600edb7c2193b2c9085'
                      provider: JUPITER->CHAINFLIP
                      trackParams:
                        hash: >-
                          5gQWxq8n5qUPYMDDqTfJbqKnBzVvRzPR2fTLCxHrCBkNrDpBv2FLPKqt7pE9sfQc
                        chain: SOL
                    errorMessage: Transaction failed due to slippage
                  summary: Failed cross-chain swap
        '400':
          description: >-
            Bad Request - The request was invalid or cannot be served. Check the
            error message for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '404':
          description: Not Found - The requested resource could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '500':
          description: Internal Server Error - An unexpected error occurred on the server.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  schemas:
    TrackParams:
      type: object
      properties:
        hash:
          type: string
          description: Transaction hash to track
        chain:
          type: string
          enum:
            - ARB
            - AVAX
            - BASE
            - BSC
            - BTC
            - BCH
            - GAIA
            - DASH
            - DOGE
            - ETH
            - KUJI
            - LTC
            - MAYA
            - OP
            - DOT
            - FLIP
            - MATIC
            - XRD
            - THOR
            - SOL
            - ZEC
            - HYPE
          description: Chain code (e.g. ETH, BTC, SOL)
        quoteId:
          type: string
          description: Quote ID from the quote request
        routeIndex:
          type: number
          description: Route index from the quote response
      required:
        - hash
        - chain
        - quoteId
        - routeIndex
    StatusResponse:
      type: object
      properties:
        trackingStatus:
          type: string
          enum:
            - not_started
            - starting
            - broadcasted
            - mempool
            - inbound
            - swapping
            - outbound
            - completed
            - refunding
            - refunded
            - partially_refunded
            - dropped
            - reverted
            - replaced
            - retries_exceeded
            - parsing_error
        isStreaming:
          type: boolean
        streamingProgress:
          type: object
          properties:
            current:
              type: number
            total:
              type: number
            percentage:
              type: number
          required:
            - current
            - total
            - percentage
        isDexAgg:
          type: boolean
        dexAggProgress:
          type: object
          properties:
            currentLeg:
              type: number
            totalLegs:
              type: number
            legs:
              type: array
              items:
                type: object
                properties:
                  provider:
                    type: string
                  status:
                    type: string
                    enum:
                      - not_started
                      - starting
                      - broadcasted
                      - mempool
                      - inbound
                      - swapping
                      - outbound
                      - completed
                      - refunding
                      - refunded
                      - partially_refunded
                      - dropped
                      - reverted
                      - replaced
                      - retries_exceeded
                      - parsing_error
                  chain:
                    type: string
                    enum:
                      - ARB
                      - AVAX
                      - BASE
                      - BSC
                      - BTC
                      - BCH
                      - GAIA
                      - DASH
                      - DOGE
                      - ETH
                      - KUJI
                      - LTC
                      - MAYA
                      - OP
                      - DOT
                      - FLIP
                      - MATIC
                      - XRD
                      - THOR
                      - SOL
                      - ZEC
                      - HYPE
                    description: Chain code (e.g. ETH, BTC, SOL)
                  txHash:
                    type: string
                  outputTxHash:
                    type: string
                  metadata:
                    type: object
                    properties:
                      blockNumber:
                        type: number
                      confirmations:
                        type: number
                      gasUsed:
                        type: string
                      gasPrice:
                        type: string
                      from:
                        type: string
                      to:
                        type: string
                      value:
                        type: string
                      input:
                        type: string
                      nonce:
                        type: number
                      transactionIndex:
                        type: number
                      providerError:
                        type: string
                      blockchainError:
                        type: string
                required:
                  - provider
                  - status
                  - chain
                  - txHash
          required:
            - currentLeg
            - totalLegs
            - legs
        trackMeta:
          type: object
          properties:
            chainflip:
              type: object
              properties:
                swapId:
                  type: string
                depositChannel:
                  type: object
                  properties:
                    id:
                      type: string
                    depositAddress:
                      type: string
                  required:
                    - id
                    - depositAddress
                  description: Chainflip deposit channel information
              required:
                - swapId
            evm:
              type: object
              properties:
                blockNumber:
                  type: number
                  description: Block number of the transaction
                confirmations:
                  type: number
                  description: Number of confirmations
                inboundAddress:
                  type: string
                  description: Inbound address (transaction.to)
                memo:
                  type: string
                  description: Decoded memo from transaction data
            outputTxHash:
              type: string
        quoteInfo:
          type: object
          properties:
            quoteId:
              type: string
            senderAddress:
              type: string
            recipientAddress:
              type: string
            provider:
              type: string
            routeIndex:
              type: number
            trackParams:
              type: object
              properties:
                hash:
                  type: string
                  description: Transaction hash being tracked
                chain:
                  type: string
                  enum:
                    - ARB
                    - AVAX
                    - BASE
                    - BSC
                    - BTC
                    - BCH
                    - GAIA
                    - DASH
                    - DOGE
                    - ETH
                    - KUJI
                    - LTC
                    - MAYA
                    - OP
                    - DOT
                    - FLIP
                    - MATIC
                    - XRD
                    - THOR
                    - SOL
                    - ZEC
                    - HYPE
                  description: Chain code (e.g. ETH, BTC, SOL)
              required:
                - hash
                - chain
          required:
            - quoteId
            - senderAddress
            - recipientAddress
            - provider
            - routeIndex
            - trackParams
        route:
          description: Quote response route item
      required:
        - trackingStatus
        - quoteInfo
    ValidationError:
      type: object
      properties:
        type:
          type: string
          enum:
            - /errors/validation-error
        title:
          type: string
          enum:
            - Validation Error
        status:
          type: number
          enum:
            - 400
        detail:
          type: string
        instance:
          type: string
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - message
      required:
        - type
        - title
        - status
        - detail
    NotFoundError:
      type: object
      properties:
        type:
          type: string
          enum:
            - /errors/not-found
        title:
          type: string
          enum:
            - Resource Not Found
        status:
          type: number
          enum:
            - 404
        detail:
          type: string
        instance:
          type: string
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
      required:
        - type
        - title
        - status
        - detail
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          enum:
            - /errors/internal-server-error
        title:
          type: string
          enum:
            - Internal Server Error
        status:
          type: number
          enum:
            - 500
        detail:
          type: string
          default: An unexpected error occurred
        instance:
          type: string
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
      required:
        - type
        - title
        - status

````